org.apache.hadoop.yarn.client.api.impl

## Class TimelineConnector

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.yarn.client.api.impl.TimelineConnector

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.service.Service

      public class TimelineConnector
      extends org.apache.hadoop.service.AbstractService

  Utility Connector class which is used by timeline clients to securely get connected to the timeline server.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimelineConnector.TimelineClientRetryOp` Abstract class for an operation that should be retried by timeline client.
    `static class` | `TimelineConnector.TimelineClientRetryOpForOperateDelegationToken`

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_SOCKET_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineConnector(boolean requireConnectionRetry, org.apache.hadoop.security.UserGroupInformation authUgi, String doAsUser, org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticatedURL.Token token)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URI` | `constructResURI(org.apache.hadoop.conf.Configuration conf, String address, String uri)`
    `com.sun.jersey.api.client.Client` | `getClient()`
    `protected org.apache.hadoop.security.ssl.SSLFactory` | `getSSLFactory(org.apache.hadoop.conf.Configuration conf)`
    `Object` | `operateDelegationToken(PrivilegedExceptionAction<?> action)`
    `protected void` | `serviceInit(org.apache.hadoop.conf.Configuration conf)`
    `protected void` | `serviceStop()`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, serviceStart, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SOCKET_TIMEOUT

          public static final int DEFAULT_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimelineConnector

          public TimelineConnector(boolean requireConnectionRetry,
                                   org.apache.hadoop.security.UserGroupInformation authUgi,
                                   String doAsUser,
                                   org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticatedURL.Token token)

  - ### Method Detail

    - #### serviceInit

          protected void serviceInit(org.apache.hadoop.conf.Configuration conf)
                              throws Exception

      Overrides:
        `serviceInit` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### getSSLFactory

          protected org.apache.hadoop.security.ssl.SSLFactory getSSLFactory(org.apache.hadoop.conf.Configuration conf)
                                                                     throws GeneralSecurityException,
                                                                            IOException

      Throws:
        `GeneralSecurityException`
        `IOException`

    - #### constructResURI

          public static URI constructResURI(org.apache.hadoop.conf.Configuration conf,
                                            String address,
                                            String uri)

    - #### serviceStop

          protected void serviceStop()

      Overrides:
        `serviceStop` in class `org.apache.hadoop.service.AbstractService`

    - #### getClient

          public com.sun.jersey.api.client.Client getClient()

    - #### operateDelegationToken

          public Object operateDelegationToken(PrivilegedExceptionAction<?> action)
                                        throws IOException,
                                               org.apache.hadoop.yarn.exceptions.YarnException

      Throws:
        `IOException`
        `org.apache.hadoop.yarn.exceptions.YarnException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.